### File

`packages/components/eui-banner/eui-banner.component.ts`

### Description

A badge component that can display text, numbers, or icons with various states and styles. Supports content truncation, empty states, and icon-only modes.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
HostDirectives | `BaseStatesDirective` Inputs : euiSizeS euiSizeM euiSizeL euiSizeVariant euiOutline
selector | `eui-banner`
templateUrl | `./eui-banner.component.html`
styleUrl | `./eui-banner.scss`

### Index

###### Properties
role
###### Inputs
e2eAttr euiInverse euiPositionCenter euiPositionTop imageUrl isVideoBanner
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-banner'`

euiInverse
Type : `boolean`
Default value : `false`

euiPositionCenter
Type : `boolean`
Default value : `false`

euiPositionTop
Type : `boolean`
Default value : `false`

imageUrl
Type : `string`

isVideoBanner
Type : `boolean`
Default value : `false`

### HostBindings

attr.role
Type : `string`
Default value : `'section'`

class
Type : `string`

### Properties

role
Type : `string`
Default value : `'section'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`
Computes and returns the CSS classes for the badge based on its current state Returns : `string`

# results matching ""

# No results matching ""